/v1/workspaces/{workspace_id}/configs/{config_id}/environments/{environment_id}/valuesAuthList values in an environment
Every setting of the config with its value and targeting in one environment (the flag list), in `ordinal` order. `include=states` adds each setting's compact state in every environment.
Path parameters
config_id*string · uuidId of the config.
environment_id*string · uuidId of an environment of the same project.
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor for pagination: the `next_cursor` of the previous page.
limitintegerPage size.
includeenum (1)`states` adds each setting's compact state in every environment of the project.
Response · 200 A page of settings with their values.
data*arraySettings of the config with their value in this environment, in `ordinal` order.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/configs/{config_id}/environments/{environment_id}/values
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"setting": {},
"value": {},
"states": {
"development": {
"value": true,
"has_rules": false
},
"production": {
"value": false,
"has_rules": true
}
}
}
],
"pagination": {}
}